package com.engine.salary.service;

import com.engine.salary.entity.salaryBill.dto.SalarySendRangeListDTO;
import com.engine.salary.entity.salaryBill.param.SalarySendRangeQueryParam;
import com.engine.salary.entity.salaryBill.param.SalarySendRangeSaveParam;
import com.engine.salary.enums.salarysend.SalarySendGrantTypeEnum;
import com.engine.salary.util.page.PageInfo;

import java.util.Collection;
import java.util.List;

/**
 * @Description: 工资单发放范围
 */
public interface SalarySendRangeService {
    void save(SalarySendRangeSaveParam param);

    PageInfo<SalarySendRangeListDTO> listPage(SalarySendRangeQueryParam queryParam);

    void deleteBySalarySendIds(Collection<Long> sendIds);

    void deleteByIds(List<Long> sendRangeIds);

    List<Long> getSendInfoIdsBySendId(Long sendId, List<Long> sendRangeIds, SalarySendGrantTypeEnum grantType);
}
